UPSCLI_READLINE(3)

NAME
upscli_readline - read a single response from a UPS

SYNOPSIS

#include <upsclient.h>

int upscli_readline(UPSCONN_t *ups, char *buf, size_t buflen);

DESCRIPTION

The upscli_readline() function takes the pointer ups to a UPSCONN_t state structure, receives a single line from the server, and copies up to buflen bytes of the response into the buffer buf.

Some parsing of the string occurs during reception. In particular, ERR messages from upsd(8) are detected and will cause this function to return -1.

RETURN VALUE

The upscli_readline() function returns 0 on success, or -1 if an error occurs.

SEE ALSO

upscli_fd(3), upscli_get(3), upscli_readline(3), upscli_sendline(3), upscli_ssl(3), upscli_strerror(3), upscli_upserror(3)